SystemOrganization addCategory: #'GT-Spotter-EventRecorder'!

Announcement subclass: #GTSpotterRecorderDataAnnouncement
	instanceVariableNames: 'computerUUID data imageHash imageVersion latestUpdate sessionCreationTime timestamp'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Spotter-EventRecorder'!

!GTSpotterRecorderDataAnnouncement methodsFor: 'accessing' stamp: 'JurajKubelka 2/26/2015 18:27'!
computerUUID
	^ computerUUID! !

!GTSpotterRecorderDataAnnouncement methodsFor: 'accessing' stamp: 'JurajKubelka 2/26/2015 18:27'!
computerUUID: anObject
	computerUUID := anObject! !

!GTSpotterRecorderDataAnnouncement methodsFor: 'accessing' stamp: 'JurajKubelka 2/25/2015 15:12'!
data
	^ data! !

!GTSpotterRecorderDataAnnouncement methodsFor: 'accessing' stamp: 'JurajKubelka 2/25/2015 15:11'!
data: aByteArray 
	data := aByteArray! !

!GTSpotterRecorderDataAnnouncement methodsFor: 'accessing' stamp: 'JurajKubelka 2/25/2015 18:08'!
imageHash
	^ imageHash! !

!GTSpotterRecorderDataAnnouncement methodsFor: 'accessing' stamp: 'JurajKubelka 2/25/2015 18:08'!
imageHash: anObject
	imageHash := anObject! !

!GTSpotterRecorderDataAnnouncement methodsFor: 'accessing' stamp: 'JurajKubelka 2/26/2015 18:26'!
imageVersion
	^ imageVersion! !

!GTSpotterRecorderDataAnnouncement methodsFor: 'accessing' stamp: 'JurajKubelka 2/26/2015 18:26'!
imageVersion: anObject
	imageVersion := anObject! !

!GTSpotterRecorderDataAnnouncement methodsFor: 'accessing' stamp: 'JurajKubelka 2/26/2015 18:26'!
latestUpdate
	^ latestUpdate! !

!GTSpotterRecorderDataAnnouncement methodsFor: 'accessing' stamp: 'JurajKubelka 2/26/2015 18:26'!
latestUpdate: anObject
	latestUpdate := anObject! !

!GTSpotterRecorderDataAnnouncement methodsFor: 'accessing' stamp: 'JurajKubelka 2/26/2015 17:05'!
materializedData
	^ self data ifNotNil: [ :aData | FLMaterializer materializeFromByteArray: aData ]! !

!GTSpotterRecorderDataAnnouncement methodsFor: 'accessing' stamp: 'JurajKubelka 2/25/2015 18:08'!
sessionCreationTime
	^ sessionCreationTime! !

!GTSpotterRecorderDataAnnouncement methodsFor: 'accessing' stamp: 'JurajKubelka 2/25/2015 18:08'!
sessionCreationTime: anObject
	sessionCreationTime := anObject! !

!GTSpotterRecorderDataAnnouncement methodsFor: 'accessing' stamp: 'JurajKubelka 2/25/2015 18:09'!
timestamp
	^ timestamp! !

!GTSpotterRecorderDataAnnouncement methodsFor: 'accessing' stamp: 'JurajKubelka 2/25/2015 18:09'!
timestamp: anObject
	timestamp := anObject! !

Object subclass: #GTSpotterEventRecorder
	instanceVariableNames: 'recordedData mutex process deliveryDelay deliveryQueue shouldDeliver'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Spotter-EventRecorder'!

GTSpotterEventRecorder class
	instanceVariableNames: 'instance'!

GTSpotterEventRecorder class
	instanceVariableNames: 'instance'!

!GTSpotterEventRecorder class methodsFor: 'accessing' stamp: 'AndreiChis 2/20/2015 10:36'!
instance

	^ instance ifNil: [ instance := self new ]! !

!GTSpotterEventRecorder class methodsFor: 'accessing' stamp: 'AndreiChis 2/20/2015 10:43'!
reset
	instance := nil! !

!GTSpotterEventRecorder methodsFor: 'delivery' stamp: 'JurajKubelka 2/26/2015 18:40'!
announcementFrom: oldRecordedData
	^ GTSpotterRecorderDataAnnouncement new
			data: (self serialize: oldRecordedData);
			timestamp: DateAndTime now;
			imageHash: SmalltalkImage current imageName hash;
			sessionCreationTime: SmalltalkImage current session creationTime;
			imageVersion: SystemVersion current version;
			latestUpdate: SystemVersion current highestUpdate;
			computerUUID: GTSpotterEventRecorderSettings uniqueInstance computerUUID;
			yourself! !

!GTSpotterEventRecorder methodsFor: 'testing' stamp: 'JurajKubelka 2/26/2015 20:05'!
canSendUsageData
	^ GTSpotterEventRecorderSettings uniqueInstance sendUsageData! !

!GTSpotterEventRecorder methodsFor: 'converting' stamp: 'JurajKubelka 2/25/2015 11:45'!
dataAsBinaryStream
	^ self dataAsBinaryStream: recordedData! !

!GTSpotterEventRecorder methodsFor: 'converting' stamp: 'JurajKubelka 2/25/2015 18:05'!
dataAsBinaryStream: aRecordedData
	| stream serializer |
	
	stream := ByteArray new writeStream binary.
	serializer := FLSerializer newDefault.
	serializer 
		stream: stream.
	serializer serialize: aRecordedData.
	^ stream! !

!GTSpotterEventRecorder methodsFor: 'delivery' stamp: 'JurajKubelka 2/26/2015 14:36'!
deliverAndSignalProgress: aBoolean
	self 
		prepareDeliveryData;
		deliverDataAndSignalProgress: aBoolean.
! !

!GTSpotterEventRecorder methodsFor: 'delivery' stamp: 'JurajKubelka 2/26/2015 17:42'!
deliverData: aByteArray signalProgress: aBoolean
	^ (ZnClient new
			beOneShot;
			timeout: 5;
			signalProgress: aBoolean;
			numberOfRetries: 0;
			url: self remoteURL;
			enforceHttpSuccess: true;
			ifFail: [ :exception | deliveryQueue nextPut: aByteArray ];
			entity: (ZnByteArrayEntity bytes: aByteArray);
			put;
			response)! !

!GTSpotterEventRecorder methodsFor: 'delivery' stamp: 'JurajKubelka 2/26/2015 14:37'!
deliverDataAndSignalProgress: aBoolean
	deliveryQueue flush: [ :eachByteArray |
		self deliverData: eachByteArray signalProgress: aBoolean ]! !

!GTSpotterEventRecorder methodsFor: 'delivery' stamp: 'JurajKubelka 2/26/2015 15:00'!
deliverNow
	"for testing purpose"
	deliveryDelay ifNotNil: [ :aDelay | aDelay delaySemaphore signal. "aDelay unschedule." ]! !

!GTSpotterEventRecorder methodsFor: 'accessing' stamp: 'AndreiChis 2/24/2015 22:01'!
eventClassNameFor: aSpotterAnnouncementClass

	^  'GTSpotterRecorder', 
		(aSpotterAnnouncementClass name 
			copyFrom: 'GTSpotter' size + 1
			to: aSpotterAnnouncementClass name size), 
		'Event'.
 	
		
! !

!GTSpotterEventRecorder methodsFor: 'initialization' stamp: 'JurajKubelka 2/26/2015 14:04'!
initialize
	super initialize.
	
	recordedData := WaitfreeQueue new.
	deliveryQueue := WaitfreeQueue new.
	mutex := Mutex new.
	self initializeDeliveryProcess.! !

!GTSpotterEventRecorder methodsFor: 'initialization' stamp: 'JurajKubelka 2/26/2015 14:38'!
initializeDeliveryProcess
	process := [ [ self shouldDeliver ] whileTrue: [ 
						self deliverAndSignalProgress: false.
						deliveryDelay := self standardDuration asDelay.
						deliveryDelay wait.
						deliveryDelay := nil. ] ] 
		forkAt: Processor userBackgroundPriority 
		named: self className, ' regular delivery process'! !

!GTSpotterEventRecorder methodsFor: 'delivery' stamp: 'JurajKubelka 2/26/2015 14:37'!
lastDataDelivery
	UIManager default informUserDuring: [ :bar |
	  	[ self deliverAndSignalProgress: true ]
	    on: HTTPProgress 
	    do: [ :progress |  
			progress isEmpty ifFalse: [ bar current: progress percentage ].
	      progress resume ] ]
! !

!GTSpotterEventRecorder methodsFor: 'initialization' stamp: 'JurajKubelka 2/25/2015 17:51'!
linkToSpotter: aSpotterModel

	aSpotterModel announcer weak when: Announcement send: #recordAccouncement: to: self! !

!GTSpotterEventRecorder methodsFor: 'delivery' stamp: 'JurajKubelka 2/26/2015 14:17'!
prepareDeliveryData
	| toBeDeliveredData toBeDeliveredAnnouncement |
	recordedData isEmpty ifTrue: [ ^ self ].
	toBeDeliveredData := OrderedCollection new.
	recordedData flush: [ :eachRecord | toBeDeliveredData addLast: eachRecord ].
	toBeDeliveredAnnouncement := self serializedAnnouncementFrom: toBeDeliveredData.
	deliveryQueue nextPut: toBeDeliveredAnnouncement.! !

!GTSpotterEventRecorder methodsFor: 'events' stamp: 'JurajKubelka 2/26/2015 20:04'!
recordAccouncement: anAnnouncement
	| recorderEventClassName |

	self canSendUsageData ifFalse: [ ^ self ].

	recorderEventClassName := self eventClassNameFor: anAnnouncement class.
	(Smalltalk hasClassNamed: recorderEventClassName) ifFalse: [ ^ false ].
	
	self storeEvent: (recorderEventClassName asClass fromAnnouncement: anAnnouncement)

	
 	
		
! !

!GTSpotterEventRecorder methodsFor: 'events' stamp: 'JurajKubelka 2/26/2015 20:06'!
recordSpotterOpenEvent

	self canSendUsageData ifFalse: [ ^ self ].

	self storeEvent: GTSpotterRecorderOpenEvent new! !

!GTSpotterEventRecorder methodsFor: 'accessing' stamp: 'JurajKubelka 2/25/2015 13:17'!
remoteURL
	^ GTSpotterEventRecorderSettings url! !

!GTSpotterEventRecorder methodsFor: 'converting' stamp: 'JurajKubelka 2/26/2015 14:15'!
serialize: anObject
	^ FLSerializer serializeToByteArray: anObject! !

!GTSpotterEventRecorder methodsFor: 'delivery' stamp: 'JurajKubelka 2/26/2015 14:16'!
serializedAnnouncementFrom: oldRecordedData
	^ self serialize: (self announcementFrom: oldRecordedData)! !

!GTSpotterEventRecorder methodsFor: 'accessing' stamp: 'JurajKubelka 2/25/2015 12:18'!
shouldDeliver
	^ shouldDeliver ifNil: [ shouldDeliver := true ]! !

!GTSpotterEventRecorder methodsFor: 'accessing' stamp: 'JurajKubelka 2/26/2015 18:32'!
standardDuration
	^ 20 minutes! !

!GTSpotterEventRecorder methodsFor: 'delivery' stamp: 'JurajKubelka 2/25/2015 12:58'!
stopDelivering
	mutex critical: [ 
		shouldDeliver := false.
		deliveryDelay ifNotNil: [ :aDelay | aDelay delaySemaphore signal ] ]! !

!GTSpotterEventRecorder methodsFor: 'events' stamp: 'JurajKubelka 2/26/2015 14:01'!
storeEvent: anEvent
	recordedData nextPut: anEvent asRecordedData.
	mutex critical: [ 
		process isTerminated ifTrue: [ self initializeDeliveryProcess ] ]! !

Object subclass: #GTSpotterEventRecorderSettings
	instanceVariableNames: 'url sendUsageData sendSearchQuery computerUUID userAnsweredAgreement'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Spotter-EventRecorder'!

GTSpotterEventRecorderSettings class
	instanceVariableNames: 'url uniqueInstance'!

GTSpotterEventRecorderSettings class
	instanceVariableNames: 'url uniqueInstance'!

!GTSpotterEventRecorderSettings class methodsFor: 'load and saving' stamp: 'JurajKubelka 2/26/2015 18:58'!
deletePreferences
	"self deletePreferences"
	[ self preferences ensureDelete ]
	on: Error do: [ "ignore" ]! !

!GTSpotterEventRecorderSettings class methodsFor: 'reflective operations' stamp: 'JurajKubelka 2/25/2015 14:35'!
doesNotUnderstand: aMessage 
	"delegate all settings to the unique instance"
	^ self uniqueInstance perform: aMessage selector withEnoughArguments: aMessage arguments! !

!GTSpotterEventRecorderSettings class methodsFor: 'class initialization' stamp: 'JurajKubelka 2/25/2015 17:11'!
initialize
	super initialize.
	Smalltalk addToStartUpList: self.
	self loadPreferences.! !

!GTSpotterEventRecorderSettings class methodsFor: 'load and saving' stamp: 'JurajKubelka 2/26/2015 18:58'!
loadPreferences
	"self loadPreferences"
	| newInstance |
	self preferences exists ifFalse: [ ^ self savePreferences ].
	[ 
		newInstance := FLMaterializer materializationFromFileNamed: self preferences.
		newInstance computerUUID = self uniqueInstance computerUUID
			ifFalse: [ uniqueInstance := newInstance ]
	] on: Error do: [ self savePreferences ]! !

!GTSpotterEventRecorderSettings class methodsFor: 'origins' stamp: 'JurajKubelka 2/26/2015 18:40'!
preferences
	^ FileLocator preferences / 'org.pharo.gt.spotter.event.recorder.fuel' ! !

!GTSpotterEventRecorderSettings class methodsFor: 'accessing' stamp: 'JurajKubelka 2/25/2015 17:04'!
reset
	"self reset"
	uniqueInstance := nil! !

!GTSpotterEventRecorderSettings class methodsFor: 'load and saving' stamp: 'JurajKubelka 2/26/2015 18:37'!
savePreferences
	"self savePreferences"
	self deletePreferences.
	[ FLSerializer serialize: self uniqueInstance toFileNamed: self preferences ]
		on: Error do: [ "ignore" ]! !

!GTSpotterEventRecorderSettings class methodsFor: 'settings' stamp: 'JurajKubelka 2/25/2015 14:37'!
settingsOnSendSearchQuery: aBuilder 
	<systemsettings>
	
	(aBuilder setting: #sendSearchQuery)
		parent: #gt;
		target: self;
		description: 'Spotter: Send search query and selected search results' translated;
		label: 'Spotter: Send search query and selected search results'
! !

!GTSpotterEventRecorderSettings class methodsFor: 'settings' stamp: 'JurajKubelka 2/25/2015 14:27'!
settingsOnSendUsageData: aBuilder 
	<systemsettings>
	
	(aBuilder setting: #sendUsageData)
		parent: #gt;
		target: self;
		description: 'Send basic anonymous usage data.' translated;
		label: 'Send basic anonymous usage data'
! !

!GTSpotterEventRecorderSettings class methodsFor: 'settings' stamp: 'JurajKubelka 2/25/2015 14:38'!
settingsOnUrl: aBuilder 
	<systemsettings>
	
	(aBuilder setting: #stringUrl)
		parent: #gt;
		target: self;
		description: 'The url for the Spotter Event Recorder server.' translated;
		label: 'Spotter Event Recorder URL address'
! !

!GTSpotterEventRecorderSettings class methodsFor: 'system startup' stamp: 'JurajKubelka 2/25/2015 17:10'!
startUp: resuming
	self loadPreferences! !

!GTSpotterEventRecorderSettings class methodsFor: 'accessing' stamp: 'JurajKubelka 2/25/2015 13:45'!
uniqueInstance
	^ uniqueInstance ifNil: [ uniqueInstance := self new ]! !

!GTSpotterEventRecorderSettings methodsFor: 'accessing' stamp: 'JurajKubelka 2/26/2015 18:39'!
computerUUID
	^ computerUUID! !

!GTSpotterEventRecorderSettings methodsFor: 'accessing' stamp: 'JurajKubelka 2/26/2015 20:10'!
hasUserAnsweredAgreement
	"True means that he has already answered question about sending anonymous data
	and we do not need to ask him/her again."
	^ userAnsweredAgreement ifNil: [ userAnsweredAgreement := false ]! !

!GTSpotterEventRecorderSettings methodsFor: 'initialization' stamp: 'JurajKubelka 2/26/2015 18:39'!
initialize
	super initialize.
	computerUUID := UUID new.
	! !

!GTSpotterEventRecorderSettings methodsFor: 'actions' stamp: 'JurajKubelka 2/25/2015 17:37'!
save
	self class savePreferences! !

!GTSpotterEventRecorderSettings methodsFor: 'accessing' stamp: 'JurajKubelka 2/25/2015 14:33'!
sendSearchQuery
	^ sendSearchQuery ifNil: [ sendSearchQuery := false ]! !

!GTSpotterEventRecorderSettings methodsFor: 'accessing' stamp: 'JurajKubelka 2/25/2015 14:42'!
sendSearchQuery: aBoolean
	sendSearchQuery := aBoolean.
	self save.! !

!GTSpotterEventRecorderSettings methodsFor: 'accessing' stamp: 'JurajKubelka 2/26/2015 20:05'!
sendUsageData
	^ sendUsageData ifNil: [ sendUsageData := false ]! !

!GTSpotterEventRecorderSettings methodsFor: 'accessing' stamp: 'JurajKubelka 2/25/2015 14:42'!
sendUsageData: aBoolean
	sendUsageData := aBoolean.
	self save.! !

!GTSpotterEventRecorderSettings methodsFor: 'accessing' stamp: 'JurajKubelka 2/26/2015 20:10'!
setUserAnsweredAgreement
	userAnsweredAgreement := true.
	self save.! !

!GTSpotterEventRecorderSettings methodsFor: 'accessing' stamp: 'JurajKubelka 2/25/2015 14:38'!
stringUrl
	^ self url asString! !

!GTSpotterEventRecorderSettings methodsFor: 'accessing' stamp: 'JurajKubelka 2/25/2015 14:38'!
stringUrl: aUrlString
	^ self url: aUrlString! !

!GTSpotterEventRecorderSettings methodsFor: 'accessing' stamp: 'JurajKubelka 2/26/2015 15:14'!
url
	^ url ifNil: [ url := 'http://gc.dcc.uchile.cl.:8080/gt/events' asZnUrl ]! !

!GTSpotterEventRecorderSettings methodsFor: 'accessing' stamp: 'JurajKubelka 2/25/2015 14:42'!
url: aZnUrl
	url := aZnUrl ifNotNil: [ aZnUrl asZnUrl ].
	self save.! !

Object subclass: #GTSpotterRecorderEvent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Spotter-EventRecorder'!

GTSpotterRecorderEvent subclass: #GTSpotterRecorderActOnEvent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Spotter-EventRecorder'!

!GTSpotterRecorderActOnEvent class methodsFor: 'as yet unclassified' stamp: 'AndreiChis 2/24/2015 21:28'!
eventCode

	^ 1! !

GTSpotterRecorderEvent subclass: #GTSpotterRecorderCategorySelectedEvent
	instanceVariableNames: 'categoryLabel elementCount'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Spotter-EventRecorder'!

!GTSpotterRecorderCategorySelectedEvent class methodsFor: 'as yet unclassified' stamp: 'AndreiChis 2/24/2015 21:28'!
eventCode

	^ 3! !

!GTSpotterRecorderCategorySelectedEvent methodsFor: 'as yet unclassified' stamp: 'AndreiChis 2/24/2015 21:30'!
asRecordedData

	^ self! !

!GTSpotterRecorderCategorySelectedEvent methodsFor: 'as yet unclassified' stamp: 'AndreiChis 2/24/2015 21:36'!
fromAnnouncement: anAnnouncement

	categoryLabel := anAnnouncement category title.
	elementCount := anAnnouncement category allFilteredCandidates size.! !

GTSpotterRecorderEvent subclass: #GTSpotterRecorderDiveInCategoryEvent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Spotter-EventRecorder'!

!GTSpotterRecorderDiveInCategoryEvent class methodsFor: 'as yet unclassified' stamp: 'AndreiChis 2/24/2015 21:28'!
eventCode

	^ 4! !

GTSpotterRecorderEvent subclass: #GTSpotterRecorderDiveInElementEvent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Spotter-EventRecorder'!

!GTSpotterRecorderDiveInElementEvent class methodsFor: 'as yet unclassified' stamp: 'AndreiChis 2/24/2015 21:28'!
eventCode

	^ 5! !

GTSpotterRecorderEvent subclass: #GTSpotterRecorderDiveOutEvent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Spotter-EventRecorder'!

!GTSpotterRecorderDiveOutEvent class methodsFor: 'as yet unclassified' stamp: 'AndreiChis 2/24/2015 21:28'!
eventCode

	^ 6! !

!GTSpotterRecorderEvent class methodsFor: 'as yet unclassified' stamp: 'AndreiChis 2/24/2015 21:28'!
eventCode

	self subclassResponsibility! !

!GTSpotterRecorderEvent class methodsFor: 'as yet unclassified' stamp: 'AndreiChis 2/24/2015 21:08'!
fromAnnouncement: anAnnouncement

	^ self new fromAnnouncement: anAnnouncement! !

!GTSpotterRecorderEvent methodsFor: 'as yet unclassified' stamp: 'AndreiChis 2/24/2015 21:52'!
asRecordedData

	^ self "class eventCode"! !

!GTSpotterRecorderEvent methodsFor: 'initialization' stamp: 'AndreiChis 2/24/2015 21:08'!
fromAnnouncement: anAnnouncement

	! !

GTSpotterRecorderEvent subclass: #GTSpotterRecorderExitAnnouncementEvent
	instanceVariableNames: 'timestamp'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Spotter-EventRecorder'!

!GTSpotterRecorderExitAnnouncementEvent class methodsFor: 'as yet unclassified' stamp: 'AndreiChis 2/24/2015 21:28'!
eventCode

	^ 7! !

!GTSpotterRecorderExitAnnouncementEvent methodsFor: 'as yet unclassified' stamp: 'AndreiChis 2/24/2015 21:30'!
asRecordedData

	^ self! !

!GTSpotterRecorderExitAnnouncementEvent methodsFor: 'as yet unclassified' stamp: 'AndreiChis 2/24/2015 21:29'!
initialize
	super initialize.
	
	timestamp := Time now asDateAndTime asUnixTime ! !

GTSpotterRecorderEvent subclass: #GTSpotterRecorderHidePreviewEvent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Spotter-EventRecorder'!

!GTSpotterRecorderHidePreviewEvent class methodsFor: 'as yet unclassified' stamp: 'AndreiChis 2/24/2015 21:28'!
eventCode

	^ 8! !

GTSpotterRecorderEvent subclass: #GTSpotterRecorderOpenEvent
	instanceVariableNames: 'timestamp'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Spotter-EventRecorder'!

!GTSpotterRecorderOpenEvent class methodsFor: 'as yet unclassified' stamp: 'AndreiChis 2/24/2015 21:28'!
eventCode

	^ 9! !

!GTSpotterRecorderOpenEvent methodsFor: 'as yet unclassified' stamp: 'AndreiChis 2/24/2015 21:30'!
asRecordedData

	^ self! !

!GTSpotterRecorderOpenEvent methodsFor: 'as yet unclassified' stamp: 'AndreiChis 2/24/2015 21:29'!
initialize
	super initialize.
	
	timestamp := Time now asDateAndTime asUnixTime ! !

GTSpotterRecorderEvent subclass: #GTSpotterRecorderSelectedCandidateChangedEvent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Spotter-EventRecorder'!

!GTSpotterRecorderSelectedCandidateChangedEvent class methodsFor: 'as yet unclassified' stamp: 'AndreiChis 2/24/2015 21:28'!
eventCode

	^ 2! !

GTSpotterRecorderEvent subclass: #GTSpotterRecorderShowPreviewEvent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Spotter-EventRecorder'!

!GTSpotterRecorderShowPreviewEvent class methodsFor: 'as yet unclassified' stamp: 'AndreiChis 2/24/2015 21:29'!
eventCode

	^ 10! !
GTSpotterEventRecorderSettings initialize!
